repo/gentoo:master commit in: dev-libs/libgpiod/

"Yixun Lan" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787090637.4aaffe488e588ade42aab23fb6906d7bfed217c6.dlan@gentoo>
commit:     4aaffe488e588ade42aab23fb6906d7bfed217c6
Author:     Alexander Barker <alex <AT> 1stleg <DOT> com>
AuthorDate: Thu Aug 13 22:52:19 2026 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Tue Aug 18 22:03:57 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4aaffe48

dev-libs/libgpiod: installs '.a' files without static-libs USE

Closes: https://bugs.gentoo.org/979403
Closes: https://github.com/gentoo/gentoo/pull/46682
Signed-off-by: Alexander Barker <alex <AT> 1stleg.com>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 dev-libs/libgpiod/libgpiod-2.3.1-r1.ebuild | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/dev-libs/libgpiod/libgpiod-2.3.1-r1.ebuild b/dev-libs/libgpiod/libgpiod-2.3.1-r1.ebuild
index cccf01b8d603..ed29e48fd881 100644
--- a/dev-libs/libgpiod/libgpiod-2.3.1-r1.ebuild
+++ b/dev-libs/libgpiod/libgpiod-2.3.1-r1.ebuild
@@ -13,7 +13,7 @@ LICENSE="LGPL-2.1"
 # Reflects the ABI of libgpiod.so
 SLOT="0/3"
 KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
-IUSE="cxx dbus introspection glib python +tools test"
+IUSE="cxx dbus introspection glib python static-libs +tools test"
 REQUIRED_USE="introspection? ( glib )"
 RESTRICT="!test? ( test )"
 
@@ -86,3 +86,12 @@ src_configure() {
 
 	meson_src_configure
 }
+
+src_install() {
+	meson_src_install
+
+	# -Ddefault_library=shared is ignored
+	if ! use static-libs; then
+		find "${ED}" -name '*.a' -delete || die
+	fi
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.